//  @import com.hedgehoglab.application.view.BaseView;
//  @import com.hedgehoglab.ui.SelectPane;
//  @import com.hedgehoglab.collection.LinkedList;



function ContactNewView(scope){
    BaseView.call(this);
    var _this=this;
    //var _tag_box=new LabBox({width:432,height:500});
    //var _callback=null;
    //var _field=null;
    //var _model=null;

    //  Cache templates
    
    var _old_title=scope.action.attr('title');

    scope.action.bind('click',function(){
        _this.raise_event('on_new_contact_clicked',{})
    });

	this.disable_actions=function(state){
		// alert("DISABLING ACTIONS "+state)
		if(state){
			// scope.action.attr('tit',scope.action.attr('title'))
			scope.action.attr('title','Your licence does not permit you to create any more contacts');
			scope.action.addClass('disabled');	
		}else{
			scope.action.attr('title',_old_title);
			scope.action.removeClass('disabled');
		}
	}
};